## ros-indigo-bus-server 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(bus_server)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  roscpp
  rospy
  std_msgs
  message_generation
)

## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)


## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()

################################################
## Declare ROS messages, services and actions ##
################################################

## To declare and build messages, services or actions from within this
## package, follow these steps:
## * Let MSG_DEP_SET be the set of packages whose message types you use in
##   your messages/services/actions (e.g. std_msgs, actionlib_msgs, ...).
## * In the file package.xml:
##   * add a build_depend and a run_depend tag for each package in MSG_DEP_SET
##   * If MSG_DEP_SET isn't empty the following dependencies might have been
##     pulled in transitively but can be declared for certainty nonetheless:
##     * add a build_depend tag for "message_generation"
##     * add a run_depend tag for "message_runtime"
## * In this file (CMakeLists.txt):
##   * add "message_generation" and every package in MSG_DEP_SET to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * add "message_runtime" and every package in MSG_DEP_SET to
##     catkin_package(CATKIN_DEPENDS ...)
##   * uncomment the add_*_files sections below as needed
##     and list every .msg/.srv/.action file to be processed
##   * uncomment the generate_messages entry below
##   * add every package in MSG_DEP_SET to generate_messages(DEPENDENCIES ...)

## Generate messages in the 'msg' folder
# add_message_files(
#   FILES
#   Message1.msg
#   Message2.msg
# )

## Generate services in the 'srv' folder
add_service_files(
   FILES
   BusBoolGet.srv
   BusBoolSet.srv
   BusInt16Get.srv
   BusInt16Set.srv
   BusInt32Get.srv
   BusInt32Set.srv
   BusInt64Get.srv
   BusInt64Set.srv
   BusInt8Get.srv
   BusInt8Set.srv
   BusUInt16Get.srv
   BusUInt16Set.srv
   BusUInt32Get.srv
   BusUInt32Set.srv
   BusUInt64Get.srv
   BusUInt64Set.srv
   BusUInt8Get.srv
   BusUInt8Set.srv
)

## Generate actions in the 'action' folder
# add_action_files(
#   FILES
#   Action1.action
#   Action2.action
# )

## Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES
   std_msgs
)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES bus_server
   CATKIN_DEPENDS message_runtime roscpp rospy std_msgs
#  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
# include_directories(include)
include_directories(
  ${catkin_INCLUDE_DIRS}
)

## Declare a cpp library
# add_library(bus_server
#   src/${PROJECT_NAME}/bus_server.cpp
# )

## Declare a cpp executable
# add_executable(bus_server_node src/bus_server_node.cpp)

## Add cmake target dependencies of the executable/library
## as an example, message headers may need to be generated before nodes
# add_dependencies(bus_server_node bus_server_generate_messages_cpp)

## Specify libraries to link a library or executable target against
# target_link_libraries(bus_server_node
#   ${catkin_LIBRARIES}
# )

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
install(PROGRAMS
  scripts/bus_server_server.py
  bus_server.py
  sonar_statistics.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark executables and/or libraries for installation
# install(TARGETS bus_server bus_server_node
#   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark cpp header files for installation
# install(DIRECTORY include/${PROJECT_NAME}/
#   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#   FILES_MATCHING PATTERN "*.h"
#   PATTERN ".svn" EXCLUDE
# )

## Mark other files for installation (e.g. launch and bag files, etc.)
# install(FILES
#   # myfile1
#   # myfile2
#   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
# )

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_bus_server.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== debian/changelog ===
ros-indigo-bus-server (0.1.1-0trusty) trusty; urgency=high

  * Added minor travis stuff
  * Contributors: Rohan Agrawal

 -- Wayne Gramlich <Wayne@gramlich.net>  Thu, 14 Apr 2016 07:00:00 -0000

ros-indigo-bus-server (0.1.0-0trusty) trusty; urgency=high

  * Added sonar statistics install rule
  * Updated package.xml
  * Added install rules
    to make sure python scripts are runnable in non-devel environments (such as installing from debs)
  * Changed minimum sensor range to .15
  * Fixed typo for /dev/ttyAMA0
  * Merged
  * Fixed /dev/ttyACM0=>/dev/ttyAMA0
  * Use default ports if no port parameter is specified.
  * Got dynamic sonar scheduling to work.
  * Continuing to work on Sonars.
  * Changed the strategy for managing clock skew between the robot and ROS.
  * Added class/left_id/right_id fields to each Sonar.  These can be specified in the .yaml file and get reflected by bus_server.py to through to the robot firmware.  These fields are needed for dynamic sonar scheduling.
  * Updated the descriptive text at the beginning of bus_server.py .
  * Added Twist (cmd_vel) and transfer PID parameters to robot.
  * Merge branch 'master' of https://github.com/UbiquityRobotics/bus_server
  * Got odometry work in bus_server.py.
  * Got odometry working.
  * Refactored dead reckoning code into Dead_Reckon class.
  * Merge branch 'master' of https://github.com/UbiquityRobotics/bus_server
  * Backing down PID loop debug to minimal
  * Merge branch 'master' of https://github.com/UbiquityRobotics/bus_server
  * Got sonar sensers to publish range topics all the way to RViz.
  * Increase PID rate and fix problem with initial going backwards at slow speeds. Also have debug serial to the bus_uart in PID loop which is on for now but can be disabled.
  * Fixed typo with a duplicate left encoder set.
  * Started adding sonar support to bus_server.py.
  * Added in accidentally deleted code that sets encoders in PID code chunk.  Me bad.
  * Rearranged bus_server.py to have all of the imports in one place.  Added main() and made the last line of code in the file run main().
  * Created bus_server.py by concatenating all of the ROS Aduino bridge python files into one.  This code will not work.
  * Added sonars to queue command.
  * Added q command to bus server.  Some minor clean up on encoder interface.
  * Making the Do PID param be Ko as other places like that term more.  No actual functional change with this cleanup
  * Change PID loop rate to 10 hz and put command u for pin params in order of  Kp Kd Ki Do Ci to better match how it was before Ci appeared.  also if we use 'u 1' with less than 5 params we print params and don't set them.
  * Removed concept of unit number for sonars.
  * Refactored the code so that Sonar.{h,cpp} no longer needs RAB_Sonar{h,cpp}.  This touched a bunch of files.
  * Removed pin definitions from bus_loki and Sonar.
  * Removed unused and unneed encoder registers from bus_sonar10.
  * Got bus_sonar10 to return ficticious sonar data over the bus.
  * Refactored bus_server, bus_loki, and bus_freya to add the RAB_Sonar class.  This is prepatory work for bus_sonar10.
  * Change pid update to 25hz from 5hz. Add cap for speeds in z command. Change the debug PID override mode so you must set debug flag  to enable PID override when Kp is 0 so we can better tune pid without it interfering.  IMPORTANT:  Adding integral cap term so the u command has 5 terms now as Kp Kd Ki Ci Do   where new term is Ci as integral cap to avoid runaway integral term issues
  * Adding description of serial commands we support
  * Adding description of serial commands we support
  * Added a debug to support periodic print of sonar meas error counters for minimally evasive debug
  * Return distances in Cm now per correct way ROS expects the values
  * Switch the p command to read from cached in-ram prior measurements.  Added back in the o which does inline measurement.  Returned values for Sonar are still in mm.
  * Changed 'o' command to 'p' command.
  * Adding system_debug_flags for dynamic changing of what is printed to serial port.  Should act like before by default is the intention.  Flags in bus_server.h
  * Fixes to non-PID motor control when Kp is set to 0 and support for reading all sonars or just one using o command
  * Renamed x command to z command.  z command sets the motor speeds without using PID loop.
  * Removed some debugging code.  Removed a minus sign on the right motor speed.
  * Got Loki encoders working.
  * Upgrade to new Bus_Motor_Encoder API that has encoder get/set and pwm set methods.
  * Wrapped up Bridge object conversion.
  * More conversion over to Bridge object.
  * Started transition over to Bridge object.
  * More Freya/Loki refactoring.
  * Finished refactoring Freya code.
  * Started refactoring Freya and Loki code.
  * Remove serial input echo so ROS Arduino Bridge functions properly.  Added option to invert encoder sense but have left it to be functionally as it was before so it is a debug compile time option.
  * Lot's of code refactoring.
  * Got bus_server to talk to bus_bridge_encoders_sonar on the bus.
  * Converted code into Bus_Server class.  Added in some serial port code from the Configurator project.
  * Got bus_server_server to respond to messages from bus_bridge_encoders_sonar .
  * Added missing Frame_Buffer.cpp/h
  * Refactored sharable code from bus_raspberry_pi.
  * Added BusInt{8,16,32}{Get,Set}.srv RCP messages.
  * Initial commit.
  * Contributors: Mark, Rohan Agrawal, Wayne C. Gramlich, Wayne Gramlich

 -- Wayne Gramlich <Wayne@gramlich.net>  Sun, 17 Jan 2016 08:00:00 -0000

=== debian/control ===
Source: ros-indigo-bus-server
Section: misc
Priority: extra
Maintainer: Wayne Gramlich <Wayne@gramlich.net>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-message-generation, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-bus-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-message-runtime, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-std-msgs
Description: The bus_server package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-bus-server//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
